# Interface InstalledJdk

@Incubating public interface InstalledJdk
Represents a Java Development Kit machine installation.

Since:
  2.11

## Method Summary

Modifier and Type
Method
Description
`File`
`getJavaHome()`
The home directory of the Java installation.
`JavaVersion`
`getJavaVersion()`
The version of the Java installation.

## Method Details

### getJavaVersion

JavaVersion getJavaVersion()
The version of the Java installation.

Returns:
  The Java version. Never returns `null`.

### getJavaHome

File getJavaHome()
The home directory of the Java installation.

Returns:
  The home directory. Never returns `null`.